Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending in a period

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Jun 2015 22:23:49 +0300

> From: Reuben Thomas <[email-masked]>
> Date: Fri, 05 Jun 2015 15:06:40 +0100
> 
> flyspell marks as incorrect “etc.”, “i.e.”, “e.g.” &c.

I can reproduce part of this with en_GB, but not with en_US.  So I
think it's an issue with the dictionary, not with flyspell or ispell.

> flyspell is of course behaving as expected: “.” is in OTHERCHARS, and as
> it comes after the word, it is not included.

What OTHERCHARS are you looking at?  In Emacs 24.4 and later,
ispell.el takes that value from the dictionary's .aff file, not from
the internal database.  So if you customized ispell-dictionary-alist,
try without those customizations, you shouldn't need them in v24.4.

> ispell sets my default dictionary to en_GB (from my locale, I presume),

Yes.  But you can override that, if you want.

> I tried to move “.” to CASECHARS and NOT-CASECHARS in a custom
> dictionary definition:
> 
> ("en_GB" "[[:alpha:].]" "[^[:alpha:].]" "['0-9’-]" t
>   ("-d" "en_GB")
>   nil utf-8)

You shouldn't need all that in Emacs 24.4.  Try not to customize the
dictionary at all.